# Generated by Django 5.0.3 on 2024-03-21 17:57

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('admin_users', '0008_harborconfig_harbor_module'),
    ]

    operations = [
        migrations.CreateModel(
            name='ObjectStorageConfig',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_storage_bucket', models.CharField(blank=True, max_length=100, null=True)),
                ('object_storage_region', models.CharField(blank=True, max_length=100, null=True)),
                ('object_storage_url', models.CharField(blank=True, max_length=200, null=True)),
                ('object_storage_username', models.CharField(blank=True, max_length=100, null=True)),
                ('object_storage_password', models.CharField(blank=True, max_length=100, null=True)),
            ],
            options={
                'db_table': 'object_storage_config',
            },
        ),
    ]
